Saltar al contenido principal
GET
/
v1
/
organizations
/
{organization_id}
/
workspace-groups
/
{workspace_group_id}
/
workspaces
Workspaces asignados
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/workspaces \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/workspaces"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_next": true,
  "data": [
    {
      "id": "<string>",
      "organization_id": "<string>",
      "name": "<string>",
      "related_environment": "<string>",
      "operative_system": "<string>",
      "ip_address": "<string>",
      "type": "<string>",
      "last_user": "<string>",
      "total_ram": 123
    }
  ]
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

organization_id
string
requerido

El identificador único de la organización

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
workspace_group_id
string
requerido

El identificador único del grupo de workspaces

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Parámetros de consulta

page
integer
predeterminado:1

Número de página (predeterminado: 1)

per_page
integer
predeterminado:100

Elementos por página (predeterminado: 100, máx.: 100)

Rango requerido: 1 <= x <= 100
sort
string

Campo de ordenación con sufijo de orden opcional (:asc o :desc). Usa nombres de propiedades de la respuesta: id, organization_id, name, related_environment, operative_system, ip_address, type, last_user, total_ram.

fields
string

Lista separada por comas de campos para incluir en cada elemento Workspace. Campos seleccionables: id, organization_id, name, related_environment, operative_system, ip_address, type, last_user, total_ram. El campo id siempre se incluye.

Maximum string length: 2048
filters
string

Cadena JSON con condiciones de filtro. Usa nombres de propiedades de la respuesta para los campos. Operadores: eq, ne, in, nin, gt, gte, lt, lte, contains, startsWith, endsWith, between. Combina con and/or.

Maximum string length: 5120

Respuesta

Lista paginada de Workspaces del grupo de workspaces recuperada correctamente.

has_next
boolean
requerido
data
object[]
requerido